.root {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: var(--spacing-large) var(--spacing-x-large);

    &__header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        position: relative;

        svg {
            width: 34px;
            height: 22px;
            cursor: pointer;
            background-color: var(--white);
            z-index: 2;
            padding-left: var(--spacing-large);

            path {
                stroke: var(--gray-600);
            }
        }

        p {
            z-index: 2;
            background-color: var(--white);
            padding-right: var(--spacing-large);
        }

        &:before {
            content: '';
            width: 100%;
            height: 1px;
            background-color: var(--gray-200);
            position: absolute;
            z-index: 1;
        }
    }

    &__collapse {
        width: 100%;
        height: 0;
        transition: height 0.3s ease-in-out 0s;
        overflow: hidden;

        &__open {
            height: auto;
        }

        &__container {
            padding-top: var(--spacing-x-large);
        }
    }

}